## Class parse_error

boost::log::parse_error — Exception class that is used to indicate parsing errors.

## Synopsis

    // In header: <boost/log/exceptions.hpp>

    class parse_error : public runtime_error {
    public:

      // public member functions
      parse_error();
      explicit parse_error(std::string const &);
      ~parse_error();
    };

## Description

### `parse_error` public member functions

1.     parse_error();

   Default constructor. Creates an exception with the default error message.

2.     explicit parse_error(std::string const & descr);

   Initializing constructor. Creates an exception with the specified error message.

3.     ~parse_error();

   Destructor